# ⚙️ Configuring ReVanced Manager

ReVanced Manager has settings that can be configured to your liking.

## ⭐ Essential settings

- ### 🔗 API URL

  Specify the URL of the API to use. This is used to fetch ReVanced Patches and update ReVanced Manager.

- ### 🧬 Sources

  Override the API and change the source of ReVanced Patches.

- ### 🧪 Experimental ReVanced Patches support

  Lift app version constraints from ReVanced Patches. This allows you to patch any version of an app, even if the patch is not explicitly compatible with it.

- ### 🧑‍🔬 Experimental universal support

  This will show or hide ReVanced Patches, which are not meant for any app in particular but rather for all apps but may not work on all apps.

- ### 🔑 Export, import or delete keystore

  Manage the keystore used to sign patched apps.

- ### 📄 Export, import or reset ReVanced Patches selection

  Manage the ReVanced Patches selection. This is useful if you want to share your ReVanced Patches selection with others or reset it to the default selection.

- ### ℹ️ About

  View information about your device and ReVanced Manager. This includes the version of ReVanced Manager and supported architectures of your device.

## ⏭️ What's next

The next page will bring you back to the usage page.

Continue: [🛠️ Usage](2_usage.md)
